/******************************(spi_Mem.h)***************
 *	SPIڑ(25LC1024/23LCV1024)wb_[t@C
 ********************************************************/

#include "AQM1248A_m2.h"
#include "ctype.h"                      // isxdigit()
#include "stdio.h"                      // puts(),..
#include "stdlib.h"                     // atoi()...
#include "string.h"                     // strtok()...
#include "myProject.h"

#define SPIMEM_WRITEcmd 0x02	// WRITE
#define SPIMEM_READcmd  0x03	// READ

#define SPIROM_WR_STATS 0x01	// WRSR
#define SPIROM_WRITEcmd 0x02	// WRITE
#define SPIROM_READcmd  0x03	// READ
#define SPIROM_RD_STATS 0x05	// RDSR
#define SPIROM_WR_ENABL 0x06	// WREN
#define SPIROM_PG_ERASE 0x42	// PE	Page Erase
#define SPIROM_CP_ERASE 0xC7	// CE	Chip Erase
#define SPIROM_SC_ERASE 0xD8	// SE	Sector Erase

//----- vR}h   W[aaaa][,[d0,[,]]]
uint16_t spiMem_cmd_W(char *str);

//---- qR}h  R[aaaa][,n]
uint16_t spiMem_cmd_R(char *str);

//---- WSQ iA[hj
uint16_t spiMem_cmd_WSQ(char *str);

//---- pR}hiA[h̉j   Q
void spiMem_cmd_Q(char *str);

//---- t(dump)R}h    U[aaaa]
//         i64oCg̃f[^DBuf[]ɓǂݏo)
int spiMem_cmd_U(char *str);

//---- o(Page)R}h    PW[aaaa]
//          iDBuf[]64oCgɏށj
int spiMem_cmd_P(char *str);

//----  V[PX[h̊mF
uint8_t spiMem_SqMode();

//--- SPI-ROM̃Xe[^X̎擾
uint8_t SPI_Rom_RdStat();
